##
##  micro.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  20211106
%define       V_dist  20211106

#   package information
Name:         micro
Summary:      Text Editor
URL:          https://micro-editor.github.io/
Vendor:       Zachary Yedidi
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Editor
License:      GPL
Version:      %{V_opkg}
Release:      20211106

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/micro/micro-%{V_dist}.tar.xz
Patch0:       micro.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Micro is a terminal-based text editor that aims to be easy to use
    and intuitive, while also taking advantage of the full capabilities
    of modern terminals. It comes as one single, batteries-included,
    static binary with no dependencies, and you can download and use it
    right now. As the name indicates, micro aims to be somewhat of a
    successor to the nano editor by being easy to install and use in a
    pinch, but micro also aims to be enjoyable to use full time, whether
    you work in the terminal because you prefer it (like me), or because
    you need to (over ssh).

%track
    prog micro = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/micro/
        regex     = micro-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n micro
    %patch -p0

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/zyedidia/micro
    %{l_make} %{l_mflags} build

%install
    #   install program
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        src/github.com/zyedidia/micro/micro \
        $RPM_BUILD_ROOT%{l_prefix}/bin/micro

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

